# transition_profile_app_bar

It works just like the normal AppBar. Also with actions, back buttons, titles. So it is just your normal AppBar, but with a twist!

## Features

- [x] actionWidgets along with Avatar with transition
- [x] Custom [Decoration] for appBar

## Screenshots

![image](https://github.com/vivekcr/transition_profile_app_bar/tree/master/assets/app_bar_expanded.png)
![image](https://github.com/vivekcr/transition_profile_app_bar/tree/master/assets/app_bar_collapsed.png)

e.g.
```dart
                          CustomScrollView(slivers: <Widget>[
                                    TransitionProfileAppBar(
                                        backButton: IconButton(
                                          icon: Icon(
                                            Icons.arrow_back,
                                            color: Theme.of(context).textTheme.title.color,
                                          ),
                                          onPressed: () => Navigator.pop(context),
                                        ),
                                        title: Text(
                                          'Profile',
                                          style: Theme.of(context).textTheme.title,
                                        ),
                                        additionalInfoWidgetList: <Widget>[
                                          Padding(
                                            padding: const EdgeInsets.all(8.0),
                                            child: Text(
                                              'sub_heading1',
                                              style: Theme.of(context).textTheme.subhead,
                                            ),
                                          ),
                                          Padding(
                                            padding: const EdgeInsets.all(8.0),
                                            child: Text(
                                              'sub_heading2',
                                              style: Theme.of(context).textTheme.subhead,
                                            ),
                                          ),
                                          Padding(
                                            padding: const EdgeInsets.all(8.0),
                                            child: Text(
                                              'sub_heading3',
                                              style: Theme.of(context).textTheme.subhead,
                                            ),
                                          ),
                                        ]),
                                    SliverList(
                                      delegate: SliverChildListDelegate(
                                        <Widget>[
                                          Container(
                                            height: 150,
                                            color: Colors.yellow,
                                          ),
                                          Container(
                                            height: 150,
                                            color: Colors.green,
                                          ),
                                          Container(
                                            height: 150,
                                            color: Colors.red,
                                          ),
                                          Container(
                                            height: 150,
                                            color: Colors.indigo,
                                          ),
                                          Container(
                                            height: 150,
                                            color: Colors.pink,
                                          ),
                                          Container(
                                            height: 150,
                                            color: Colors.deepPurple,
                                          ),
                                          Container(
                                            height: 150,
                                            color: Colors.blue,
                                          ),
                                        ],
                                      ),
                                    )
                                  ])
``` 
